## org.eclipse.jst.jsf.facesconfig.emf.impl
Class ResourceBundleTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.ResourceBundleTypeImpl

All Implemented Interfaces:
  ResourceBundleType

    public class ResourceBundleTypeImpl

extends EObjectImpl
implements ResourceBundleType

An implementation of the model object 'Resource Bundle Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Base Name`
- `Var`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`BaseNameType` `basicGetBaseName()`
`VarType` `basicGetVar()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`BaseNameType` `getBaseName()`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`VarType` `getVar()`
`void` `setBaseName(BaseNameType newBaseName)`
`void` `setId(java.lang.String newId)`
`void` `setVar(VarType newVar)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `ResourceBundleType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getResourceBundleType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `ResourceBundleType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getResourceBundleType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `ResourceBundleType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getResourceBundleType_Icon()`

### getBaseName

    public BaseNameType getBaseName()

  Specified by:
    `getBaseName` in interface `ResourceBundleType`
  Returns:
    the value of the 'Base Name' reference.
  See Also:
    `ResourceBundleType.setBaseName(BaseNameType)`, `FacesConfigPackage.getResourceBundleType_BaseName()`

### basicGetBaseName

    public BaseNameType basicGetBaseName()

  Returns:
    the base name

### setBaseName

    public void setBaseName(BaseNameType newBaseName)

  Specified by:
    `setBaseName` in interface `ResourceBundleType`
  Parameters:
    `newBaseName` - the new value of the 'Base Name' reference.
  See Also:
    `ResourceBundleType.getBaseName()`

### getVar

    public VarType getVar()

  Specified by:
    `getVar` in interface `ResourceBundleType`
  Returns:
    the value of the 'Var' reference.
  See Also:
    `ResourceBundleType.setVar(VarType)`, `FacesConfigPackage.getResourceBundleType_Var()`

### basicGetVar

    public VarType basicGetVar()

  Returns:
    the variable

### setVar

    public void setVar(VarType newVar)

  Specified by:
    `setVar` in interface `ResourceBundleType`
  Parameters:
    `newVar` - the new value of the 'Var' reference.
  See Also:
    `ResourceBundleType.getVar()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ResourceBundleType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `ResourceBundleType.setId(String)`, `FacesConfigPackage.getResourceBundleType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `ResourceBundleType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `ResourceBundleType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()